Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrStretch Class Reference

A PangoAttrStretch C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrStretch:

List of all members.

## Public Member Functions

Constructors

- AttrStretch (Stretch stretch=STRETCH_NORMAL)
    Construct a new font stretch attribute.

Accessors

- Stretch stretch () const
    Returns the stretch.

Methods

- void set_stretch (Stretch stretch)
    Sets the stretch.

## Detailed Description

A PangoAttrStretch C++ wrapper class.

AttrStretch wraps the stretch attribute (ATTR_STRETCH).

## Constructor & Destructor Documentation

Inti::Pango::AttrStretch::AttrStretch | ( | Stretch | stretch = STRETCH_NORMAL | ) | `[explicit]`

  | Construct a new font stretch attribute. Parameters:
  stretch | The stretch.

## Member Function Documentation

void Inti::Pango::AttrStretch::set_stretch | ( | Stretch | stretch | ) |

  | Sets the stretch. Parameters:
  stretch | The new stretch.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer